geode-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Bretl <asf.mbr...@gmail.com>
Subject Re: Revert gradle upgrade
Date Tue, 25 Jul 2017 21:50:43 GMT
Now that we have 1.2.0 out the door, would I be able to get someone to
verify my fixes from those who were having trouble with Gradle 3.4.1 in
their IDE?

Thanks,

--Mark

On Wed, Jun 14, 2017 at 5:08 PM, Mark Bretl <mbretl@apache.org> wrote:

> I think I figured it out.
>
> Here is what I did:
> Fix was to declare the version of Antlr in the dependencies{} because if
> no version is set, the ANTLR plugin would default to 2.7.7. This was
> causing issues since the ANTLR plugin was trying to 'change' the version
> after dependency resolution for its configuration.
>
> I successfully tested imported into Eclipse, so I have checked in the
> changes on the feature/gradle-3.4.1 branch. Would others take some time to
> see if it works for them now?
>
> --Mark
>
> On Tue, May 9, 2017 at 10:51 AM, Udo Kohlmeyer <ukohlmeyer@pivotal.io>
> wrote:
>
>> I think we have to check the ANTLR plugin to understand it's
>> requirements..
>>
>> maybe there is a newer plugin version for ANTLR
>>
>>
>> On 5/9/17 10:00, Kirk Lund wrote:
>>
>>> I've reverted the upgrade to gradle 3.4.1. I also went ahead and created
>>> a
>>> branch that repeats the upgrade:
>>>
>>> feature/gradle-3.4.1
>>>
>>> Feel free to experiment with that branch.
>>>
>>> On Tue, May 9, 2017 at 9:53 AM, Kirk Lund <klund@apache.org> wrote:
>>>
>>> I'll go ahead and revert the upgrade. Hopefully we can eventually find
>>>> the
>>>> cause so we can repeat the upgrade.
>>>>
>>>> On Mon, May 8, 2017 at 4:19 PM, Bruce Schuchardt <
>>>> bschuchardt@pivotal.io>
>>>> wrote:
>>>>
>>>> The "eclipse" target fails, too.
>>>>>
>>>>> Le 5/8/2017 à 3:32 PM, Kirk Lund a écrit :
>>>>>
>>>>> I want to revert the gradle upgrade because it breaks IntelliJ and the
>>>>>> idea
>>>>>> gradle task. Please let me know if you have a problem with this.
>>>>>>
>>>>>> PS: Please be prepared to help me if you vote against me reverting
the
>>>>>> upgrade ;) I really want to be able to work again. Thanks!
>>>>>>
>>>>>>
>>>>>>
>>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message